Delete a network for a dedicated server
DELETE/v1/hosts/dedicated_servers/{server_id}/networks/{network_id}
A DELETE request to the /v1/hosts/dedicated_servers/{server_id}/networks/{network_id} endpoint removes a network associated with a server. The server and network IDs have to be specified in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of a server. |
network_id | stringA unique identifier of the network. |
Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/hosts/dedicated_servers/4oeEKmb0/networks/jnegXraw"{ "id": "jnegXraw", "title": "Private", "status": "removed", "cidr": "10.128.1.0/29", "family": "ipv4", "interface_type": "private", "distribution_method": "gateway", "additional": true, "first_ip": null, "gateway": null, "updated_at": "2025-12-31T00:00:00Z", "created_at": "2025-12-31T00:00:00Z"}